package org.apache.logging.log4j.core;

public interface LifeCycle {
   void start();

   void stop();

   boolean isStarted();

   boolean isStopped();

   public static enum State {
      INITIALIZED,
      STARTING,
      STARTED,
      STOPPING,
      STOPPED;
   }
}
